/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isString = require('./isString.js');

var isDateFormat = compose.default(isString.default, // eslint-disable-next-line no-restricted-globals
function (value) {
  return new Date(value) !== 'Invalid Date' && !isNaN(new Date(value));
});

exports.default = isDateFormat;
