/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isString = require('./isString.js');
var matchesPattern = require('./matchesPattern.js');

var isNumeric = compose.default(isString.default, matchesPattern.default(/^-{0,1}\d+$/));

exports.default = isNumeric;
