/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var every = require('./every.js');

/**
 * Takes an object of validators defining the possible shape of an object and returns a new function that reports
 * whether the received array matches that shape for every of its elements.
 * @param shape
 * @returns {function(*): *}
 */

var arrayOf = every.default;

exports.default = arrayOf;
