/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isString = require('./isString.js');
var matchesPattern = require('./matchesPattern.js');

var isEmail = compose.default(isString.default, matchesPattern.default(/^\w+([.-]?\w+)*@\w+([.-]?\w+)*(\.\w{2,3})+$/));

exports.default = isEmail;
