/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var isString = require('./isString.js');

/**
 * Takes a value and returns true only if it's of type `string` and it's empty
 * @type {function(*=): boolean}
 */

var isEmptyString = compose.default(isString.default, function (str) {
  return str.trim() === '';
});

exports.default = isEmptyString;
