/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var or = require('./or.js');
var isIPv4 = require('./isIPv4.js');
var isIPv6 = require('./isIPv6.js');

/**
 * Takes a value and return true if it's a valid IP (v4 or v6) string
 * @param value
 * @returns {boolean}
 */

var isIP = or.default(isIPv4.default, isIPv6.default);

exports.default = isIP;
