/* Deep Waters v0.9.0 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var when = function when(condition, fn) {
  return function (value) {
    if (condition(value)) return fn(value);
    return true;
  };
};

exports.default = when;
